"{ Package: 'stx:goodies/cypress' }"

CypressAbstractTest subclass:#CypressSnapshotTest
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Cypress-Tests'
!

CypressSnapshotTest comment:'Main comment stating the purpose of this class and relevant relationship to other classes.

Possible useful expressions for doIt or printIt.

Structure:
 instVar1		type -- comment about the purpose of instVar1
 instVar2		type -- comment about the purpose of instVar2

Any further useful comments about the general approach of this implementation.'
!


!CypressSnapshotTest methodsFor:'testing'!

testSnapshot
        | name pkg  |
        name := self class package. "/'Cypress-Mocks'.
        pkg := CypressPackageDefinition new name: name.
        self validatePackage: pkg against: self baseDefinitions

    "Modified: / 30-08-2012 / 14:01:42 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

testSnapshotEquality
	| name pkg packageDefinitions expectedDefinitions |
	name := 'Cypress-Mocks'.
	pkg := CypressPackageDefinition new name: name.
	packageDefinitions := pkg snapshot definitions.
	expectedDefinitions := self baseDefinitions.
	self assert: packageDefinitions asArray = expectedDefinitions asArray
! !

!CypressSnapshotTest class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
